<?php



$tdatatb_custominuto = array();
$tdatatb_custominuto[".searchableFields"] = array();
$tdatatb_custominuto[".ShortName"] = "tb_custominuto";
$tdatatb_custominuto[".OwnerID"] = "";
$tdatatb_custominuto[".OriginalTable"] = "tb_custominuto";


$tdatatb_custominuto[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_custominuto[".originalPagesByType"] = $tdatatb_custominuto[".pagesByType"];
$tdatatb_custominuto[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_custominuto[".originalPages"] = $tdatatb_custominuto[".pages"];
$tdatatb_custominuto[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_custominuto[".originalDefaultPages"] = $tdatatb_custominuto[".defaultPages"];

//	field labels
$fieldLabelstb_custominuto = array();
$fieldToolTipstb_custominuto = array();
$pageTitlestb_custominuto = array();
$placeHolderstb_custominuto = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_custominuto["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"] = array();
	$placeHolderstb_custominuto["Portuguese(Brazil)"] = array();
	$pageTitlestb_custominuto["Portuguese(Brazil)"] = array();
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["custominID"] = "Customin ID";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["custominID"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["custominID"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["divisao"] = "Divisao";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["divisao"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["divisao"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["salari_base"] = "Salari Base";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["salari_base"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["salari_base"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["encargos"] = "Encargos";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["encargos"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["encargos"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["funcionarios"] = "Funcionarios";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["funcionarios"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["funcionarios"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["custo_folha"] = "Custo Folha";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["custo_folha"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["custo_folha"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["CMMO"] = "CMMO";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["CMMO"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["CMMO"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["MTmes"] = "MTmes";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["MTmes"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["MTmes"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["Dias_mes"] = "Dias Mes";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["Dias_mes"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["Dias_mes"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["atualizado"] = "Atualizado";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["atualizado"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["atualizado"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["vigente"] = "Vigente";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["vigente"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["vigente"] = "";
	$fieldLabelstb_custominuto["Portuguese(Brazil)"]["vigente1"] = "Vigente1";
	$fieldToolTipstb_custominuto["Portuguese(Brazil)"]["vigente1"] = "";
	$placeHolderstb_custominuto["Portuguese(Brazil)"]["vigente1"] = "";
	if (count($fieldToolTipstb_custominuto["Portuguese(Brazil)"]))
		$tdatatb_custominuto[".isUseToolTips"] = true;
}


	$tdatatb_custominuto[".NCSearch"] = true;


	$tdatatb_custominuto[".scrollGridBody"] = true;

$tdatatb_custominuto[".shortTableName"] = "tb_custominuto";
$tdatatb_custominuto[".nSecOptions"] = 0;

$tdatatb_custominuto[".mainTableOwnerID"] = "";
$tdatatb_custominuto[".entityType"] = 0;

$tdatatb_custominuto[".strOriginalTableName"] = "tb_custominuto";

	



$tdatatb_custominuto[".showAddInPopup"] = false;

$tdatatb_custominuto[".showEditInPopup"] = false;

$tdatatb_custominuto[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_custominuto[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_custominuto[".listAjax"] = false;
//	temporary
$tdatatb_custominuto[".listAjax"] = false;

	$tdatatb_custominuto[".audit"] = false;

	$tdatatb_custominuto[".locking"] = false;


$pages = $tdatatb_custominuto[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_custominuto[".edit"] = true;
	$tdatatb_custominuto[".afterEditAction"] = 0;
	$tdatatb_custominuto[".closePopupAfterEdit"] = 1;
	$tdatatb_custominuto[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_custominuto[".add"] = true;
$tdatatb_custominuto[".afterAddAction"] = 0;
$tdatatb_custominuto[".closePopupAfterAdd"] = 1;
$tdatatb_custominuto[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_custominuto[".list"] = true;
}



$tdatatb_custominuto[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_custominuto[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_custominuto[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_custominuto[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_custominuto[".printFriendly"] = true;
}



$tdatatb_custominuto[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_custominuto[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_custominuto[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_custominuto[".isUseAjaxSuggest"] = true;

$tdatatb_custominuto[".rowHighlite"] = true;





$tdatatb_custominuto[".ajaxCodeSnippetAdded"] = false;

$tdatatb_custominuto[".buttonsAdded"] = false;

$tdatatb_custominuto[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_custominuto[".isUseTimeForSearch"] = false;


$tdatatb_custominuto[".badgeColor"] = "E67349";


$tdatatb_custominuto[".allSearchFields"] = array();
$tdatatb_custominuto[".filterFields"] = array();
$tdatatb_custominuto[".requiredSearchFields"] = array();

$tdatatb_custominuto[".googleLikeFields"] = array();
$tdatatb_custominuto[".googleLikeFields"][] = "custominID";
$tdatatb_custominuto[".googleLikeFields"][] = "divisao";
$tdatatb_custominuto[".googleLikeFields"][] = "salari_base";
$tdatatb_custominuto[".googleLikeFields"][] = "encargos";
$tdatatb_custominuto[".googleLikeFields"][] = "funcionarios";
$tdatatb_custominuto[".googleLikeFields"][] = "custo_folha";
$tdatatb_custominuto[".googleLikeFields"][] = "CMMO";
$tdatatb_custominuto[".googleLikeFields"][] = "MTmes";
$tdatatb_custominuto[".googleLikeFields"][] = "Dias_mes";
$tdatatb_custominuto[".googleLikeFields"][] = "atualizado";
$tdatatb_custominuto[".googleLikeFields"][] = "vigente";
$tdatatb_custominuto[".googleLikeFields"][] = "vigente1";



$tdatatb_custominuto[".tableType"] = "list";

$tdatatb_custominuto[".printerPageOrientation"] = 0;
$tdatatb_custominuto[".nPrinterPageScale"] = 100;

$tdatatb_custominuto[".nPrinterSplitRecords"] = 40;

$tdatatb_custominuto[".geocodingEnabled"] = false;










$tdatatb_custominuto[".pageSize"] = 20;

$tdatatb_custominuto[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_custominuto[".strOrderBy"] = $tstrOrderBy;

$tdatatb_custominuto[".orderindexes"] = array();

$tdatatb_custominuto[".sqlHead"] = "SELECT tb_custominuto.custominID,  tb_custominuto.divisao,  tb_custominuto.salari_base,  tb_custominuto.encargos,  tb_custominuto.funcionarios,  ((salari_base*funcionarios)*encargos) AS custo_folha,  (((salari_base*funcionarios)*encargos)/dbw_mintrabalhado.MTmes) AS CMMO,  dbw_mintrabalhado.MTmes,  (dbw_mintrabalhado.MTmes/(dbw_mintrabalhado.hrs_dia*60)) AS Dias_mes,  tb_custominuto.atualizado,  tb_custominuto.vigente,  dbw_mintrabalhado.vigente AS vigente1";
$tdatatb_custominuto[".sqlFrom"] = "FROM tb_custominuto  , dbw_mintrabalhado";
$tdatatb_custominuto[".sqlWhereExpr"] = "(dbw_mintrabalhado.vigente =1)";
$tdatatb_custominuto[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_custominuto[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_custominuto[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_custominuto[".highlightSearchResults"] = true;

$tableKeystb_custominuto = array();
$tableKeystb_custominuto[] = "custominID";
$tdatatb_custominuto[".Keys"] = $tableKeystb_custominuto;


$tdatatb_custominuto[".hideMobileList"] = array();




//	custominID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "custominID";
	$fdata["GoodName"] = "custominID";
	$fdata["ownerTable"] = "tb_custominuto";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","custominID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "custominID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_custominuto.custominID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["custominID"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "custominID";
//	divisao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "divisao";
	$fdata["GoodName"] = "divisao";
	$fdata["ownerTable"] = "tb_custominuto";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","divisao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "divisao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_custominuto.divisao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["divisao"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "divisao";
//	salari_base
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "salari_base";
	$fdata["GoodName"] = "salari_base";
	$fdata["ownerTable"] = "tb_custominuto";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","salari_base");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "salari_base";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_custominuto.salari_base";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["salari_base"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "salari_base";
//	encargos
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "encargos";
	$fdata["GoodName"] = "encargos";
	$fdata["ownerTable"] = "tb_custominuto";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","encargos");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "encargos";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_custominuto.encargos";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["encargos"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "encargos";
//	funcionarios
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "funcionarios";
	$fdata["GoodName"] = "funcionarios";
	$fdata["ownerTable"] = "tb_custominuto";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","funcionarios");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "funcionarios";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_custominuto.funcionarios";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["funcionarios"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "funcionarios";
//	custo_folha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "custo_folha";
	$fdata["GoodName"] = "custo_folha";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","custo_folha");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "custo_folha";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "((salari_base*funcionarios)*encargos)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["custo_folha"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "custo_folha";
//	CMMO
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "CMMO";
	$fdata["GoodName"] = "CMMO";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","CMMO");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "CMMO";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(((salari_base*funcionarios)*encargos)/dbw_mintrabalhado.MTmes)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 4;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["CMMO"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "CMMO";
//	MTmes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "MTmes";
	$fdata["GoodName"] = "MTmes";
	$fdata["ownerTable"] = "dbw_mintrabalhado";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","MTmes");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "MTmes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_mintrabalhado.MTmes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["MTmes"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "MTmes";
//	Dias_mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "Dias_mes";
	$fdata["GoodName"] = "Dias_mes";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","Dias_mes");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "Dias_mes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(dbw_mintrabalhado.MTmes/(dbw_mintrabalhado.hrs_dia*60))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["Dias_mes"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "Dias_mes";
//	atualizado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "atualizado";
	$fdata["GoodName"] = "atualizado";
	$fdata["ownerTable"] = "tb_custominuto";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","atualizado");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "atualizado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_custominuto.atualizado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["atualizado"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "atualizado";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_custominuto";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_custominuto.vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["vigente"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "vigente";
//	vigente1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "vigente1";
	$fdata["GoodName"] = "vigente1";
	$fdata["ownerTable"] = "dbw_mintrabalhado";
	$fdata["Label"] = GetFieldLabel("tb_custominuto","vigente1");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_mintrabalhado.vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_custominuto["vigente1"] = $fdata;
		$tdatatb_custominuto[".searchableFields"][] = "vigente1";


$tables_data["tb_custominuto"]=&$tdatatb_custominuto;
$field_labels["tb_custominuto"] = &$fieldLabelstb_custominuto;
$fieldToolTips["tb_custominuto"] = &$fieldToolTipstb_custominuto;
$placeHolders["tb_custominuto"] = &$placeHolderstb_custominuto;
$page_titles["tb_custominuto"] = &$pageTitlestb_custominuto;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_custominuto"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_custominuto"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_custominuto()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "tb_custominuto.custominID,  tb_custominuto.divisao,  tb_custominuto.salari_base,  tb_custominuto.encargos,  tb_custominuto.funcionarios,  ((salari_base*funcionarios)*encargos) AS custo_folha,  (((salari_base*funcionarios)*encargos)/dbw_mintrabalhado.MTmes) AS CMMO,  dbw_mintrabalhado.MTmes,  (dbw_mintrabalhado.MTmes/(dbw_mintrabalhado.hrs_dia*60)) AS Dias_mes,  tb_custominuto.atualizado,  tb_custominuto.vigente,  dbw_mintrabalhado.vigente AS vigente1";
$proto0["m_strFrom"] = "FROM tb_custominuto  , dbw_mintrabalhado";
$proto0["m_strWhere"] = "(dbw_mintrabalhado.vigente =1)";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "dbw_mintrabalhado.vigente =1";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "dbw_mintrabalhado",
	"m_srcTableName" => "tb_custominuto"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "=1";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "custominID",
	"m_strTable" => "tb_custominuto",
	"m_srcTableName" => "tb_custominuto"
));

$proto6["m_sql"] = "tb_custominuto.custominID";
$proto6["m_srcTableName"] = "tb_custominuto";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "divisao",
	"m_strTable" => "tb_custominuto",
	"m_srcTableName" => "tb_custominuto"
));

$proto8["m_sql"] = "tb_custominuto.divisao";
$proto8["m_srcTableName"] = "tb_custominuto";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "salari_base",
	"m_strTable" => "tb_custominuto",
	"m_srcTableName" => "tb_custominuto"
));

$proto10["m_sql"] = "tb_custominuto.salari_base";
$proto10["m_srcTableName"] = "tb_custominuto";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "encargos",
	"m_strTable" => "tb_custominuto",
	"m_srcTableName" => "tb_custominuto"
));

$proto12["m_sql"] = "tb_custominuto.encargos";
$proto12["m_srcTableName"] = "tb_custominuto";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "funcionarios",
	"m_strTable" => "tb_custominuto",
	"m_srcTableName" => "tb_custominuto"
));

$proto14["m_sql"] = "tb_custominuto.funcionarios";
$proto14["m_srcTableName"] = "tb_custominuto";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "((salari_base*funcionarios)*encargos)"
));

$proto16["m_sql"] = "((salari_base*funcionarios)*encargos)";
$proto16["m_srcTableName"] = "tb_custominuto";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "custo_folha";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(((salari_base*funcionarios)*encargos)/dbw_mintrabalhado.MTmes)"
));

$proto18["m_sql"] = "(((salari_base*funcionarios)*encargos)/dbw_mintrabalhado.MTmes)";
$proto18["m_srcTableName"] = "tb_custominuto";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "CMMO";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "MTmes",
	"m_strTable" => "dbw_mintrabalhado",
	"m_srcTableName" => "tb_custominuto"
));

$proto20["m_sql"] = "dbw_mintrabalhado.MTmes";
$proto20["m_srcTableName"] = "tb_custominuto";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(dbw_mintrabalhado.MTmes/(dbw_mintrabalhado.hrs_dia*60))"
));

$proto22["m_sql"] = "(dbw_mintrabalhado.MTmes/(dbw_mintrabalhado.hrs_dia*60))";
$proto22["m_srcTableName"] = "tb_custominuto";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "Dias_mes";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "atualizado",
	"m_strTable" => "tb_custominuto",
	"m_srcTableName" => "tb_custominuto"
));

$proto24["m_sql"] = "tb_custominuto.atualizado";
$proto24["m_srcTableName"] = "tb_custominuto";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_custominuto",
	"m_srcTableName" => "tb_custominuto"
));

$proto26["m_sql"] = "tb_custominuto.vigente";
$proto26["m_srcTableName"] = "tb_custominuto";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "dbw_mintrabalhado",
	"m_srcTableName" => "tb_custominuto"
));

$proto28["m_sql"] = "dbw_mintrabalhado.vigente";
$proto28["m_srcTableName"] = "tb_custominuto";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "vigente1";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto30=array();
$proto30["m_link"] = "SQLL_MAIN";
			$proto31=array();
$proto31["m_strName"] = "tb_custominuto";
$proto31["m_srcTableName"] = "tb_custominuto";
$proto31["m_columns"] = array();
$proto31["m_columns"][] = "custominID";
$proto31["m_columns"][] = "divisao";
$proto31["m_columns"][] = "salari_base";
$proto31["m_columns"][] = "custo_folha";
$proto31["m_columns"][] = "encargos";
$proto31["m_columns"][] = "hrs_trab";
$proto31["m_columns"][] = "funcionarios";
$proto31["m_columns"][] = "atualizado";
$proto31["m_columns"][] = "vigente";
$obj = new SQLTable($proto31);

$proto30["m_table"] = $obj;
$proto30["m_sql"] = "tb_custominuto";
$proto30["m_alias"] = "";
$proto30["m_srcTableName"] = "tb_custominuto";
$proto32=array();
$proto32["m_sql"] = "";
$proto32["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto32["m_column"]=$obj;
$proto32["m_contained"] = array();
$proto32["m_strCase"] = "";
$proto32["m_havingmode"] = false;
$proto32["m_inBrackets"] = false;
$proto32["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto32);

$proto30["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto30);

$proto0["m_fromlist"][]=$obj;
												$proto34=array();
$proto34["m_link"] = "SQLL_CROSSJOIN";
			$proto35=array();
$proto35["m_strName"] = "dbw_mintrabalhado";
$proto35["m_srcTableName"] = "tb_custominuto";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "mintrabID";
$proto35["m_columns"][] = "dias_mes";
$proto35["m_columns"][] = "hrs_dia";
$proto35["m_columns"][] = "MtDia";
$proto35["m_columns"][] = "MTmes";
$proto35["m_columns"][] = "vigente";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "dbw_mintrabalhado";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "tb_custominuto";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_custominuto";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_custominuto = createSqlQuery_tb_custominuto();


	
		;

												

$tdatatb_custominuto[".sqlquery"] = $queryData_tb_custominuto;

$tableEvents["tb_custominuto"] = new eventsBase;
$tdatatb_custominuto[".hasEvents"] = false;

?>